NemoMath - Bug #1330
Pkg-config error
01/14/2013 03:20 PM - Anonymous

Status: Resolved
Priority: High
Assignee:

Category:

Target version:

Start date: 01/14/2013
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

We now install package config files with the naming scheme Nemomathx.x.pc (so nemomath version encoded) to have different

NemoMath version installable in parallel (see #1217).

This seems to break compatibility for projects using the pkg-config mechanism, since pkg-config now expects a dependency to

NemoMath0.3 rather than just NemomMath.

Related issues:

Related to NemoMath - Tasks # 1217: Handle different debian package versions Resolved 10/23/2012

Associated revisions

Revision 254 - 01/15/2013 11:45 AM - anordman

Pkg-config file needs to remain just NemoMath.pc instead of NemoMath0.3.pc

for compatibility reasons.

fixes #1330

History

#1 - 01/15/2013 11:45 AM - Anonymous

- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r254.
